/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

//== Colors
// Backgrounds
.bg-neutral-tinted-dark {
  background-color: @neutral-tinted-dark;

  &.bg-hover-lighter:hover {
    background-color: @neutral-tinted-dark-lighter;
  }

  &.bg-hover-darker:hover {
    background-color: @neutral-tinted-dark-darker;
  }
}

.bg-hover-neutral-tinted-darker:hover {
  background-color: #c3c3c3;
}

.bg-neutral-darkest {
  background-color: #272726;
}

.bg-security-grid {
  background-color: #000;
  background-image: url('../images/security/bg-security-grid.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 100%;
}

// Use in combination with a background image or gradient
.parallax {
  height: 100%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.shadow-xl {
  filter: 
    drop-shadow(0px 0px 30px #000)
    drop-shadow(0px 0px 30px #00000077);
}

//== Sizing

.min-h-100 {
  min-height: 100%;
}

.aspect-square {
  aspect-ratio: 1;
}

